Debian Bug report logs - #386458
libavcodec-dev: Missing dependencies for libraw1394-dev libdc1934-dev

version graph

Package: libavcodec-dev; Maintainer for libavcodec-dev is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>; Source for libavcodec-dev is src:libav.

Reported by: Rémi Denis-Courmont <rdenis@simphalempin.com>

Date: Thu, 7 Sep 2006 19:34:32 UTC

Severity: grave

Tags: fixed, patch

Found in version ffmpeg/0.cvs20060823-3

Fixed in version ffmpeg/0.cvs20060823-4

Done: Sam Hocevar (Debian packages) <sam+deb@zoy.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sam Hocevar (Debian packages) <sam+deb@zoy.org>:
Bug#386458; Package libavcodec-dev. Full text and rfc822 format available.

Acknowledgement sent to Rémi Denis-Courmont <rdenis@simphalempin.com>:
New Bug report received and forwarded. Copy sent to Sam Hocevar (Debian packages) <sam+deb@zoy.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rémi Denis-Courmont <rdenis@simphalempin.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libavcodec-dev: Missing dependencies for libraw1394-dev libdc1934-dev
Date: Thu, 07 Sep 2006 22:06:48 +0300
Package: libavcodec-dev
Version: 0.cvs20060823-3
Severity: grave
Justification: renders package unusable


ffmpeg-config --libs mentions library whose development packages
libavcodec-dev does not depend upon. Yet without these, the package is
pretty much unusable, since any attempt to link against it will fail.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.17.11
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)

Versions of packages libavcodec-dev depends on:
ii  liba52-0.7.4-dev [liba52 0.7.4-4         Library for decoding ATSC A/52 str
ii  libavcodec0d             0.cvs20060823-3 ffmpeg codec library
ii  libdts-dev               0.0.2-svn-1     development files for libdts
ii  libgsm1-dev              1.0.10-13       Development libraries for a GSM sp
ii  libogg-dev               1.1.3-2         Ogg Bitstream Library Development
ii  libtheora-dev            0.0.0.alpha7-1  The Theora Video Compression Codec
ii  libvorbis-dev            1.1.2-1         The Vorbis General Audio Compressi
ii  zlib1g-dev               1:1.2.3-13      compression library - development

libavcodec-dev recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Sam Hocevar (Debian packages) <sam+deb@zoy.org>:
Bug#386458; Package libavcodec-dev. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@iki.fi>:
Extra info received and forwarded to list. Copy sent to Sam Hocevar (Debian packages) <sam+deb@zoy.org>. Full text and rfc822 format available.

Message #10 received at 386458@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@iki.fi>
To: 386458@bugs.debian.org
Subject: Re: Bug#386458: libavcodec-dev: Missing dependencies for libraw1394-dev libdc1934-dev
Date: Wed, 13 Sep 2006 21:52:52 +0300
[Message part 1 (text/plain, inline)]
tags 386458 patch
thanks

On Thu, Sep 07, 2006 at 10:06:48PM +0300, Rémi Denis-Courmont wrote:
> Package: libavcodec-dev
> Version: 0.cvs20060823-3
> Severity: grave
> Justification: renders package unusable
> 
> 
> ffmpeg-config --libs mentions library whose development packages
> libavcodec-dev does not depend upon. Yet without these, the package is
> pretty much unusable, since any attempt to link against it will fail.

Hi,

this is because the variable substitution trick in debian/rules does
not quite work. The attached patch should fix it.

Cheers,
-- 
Niko Tyni	ntyni@iki.fi
[ffmpeg.patch (text/plain, attachment)]

Tags added: patch Request was from Niko Tyni <ntyni@iki.fi> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Sam Hocevar (Debian packages) <sam+deb@zoy.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Rémi Denis-Courmont <rdenis@simphalempin.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 386458-close@bugs.debian.org (full text, mbox):

From: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
To: 386458-close@bugs.debian.org
Subject: Bug#386458: fixed in ffmpeg 0.cvs20060823-4
Date: Mon, 25 Sep 2006 04:17:10 -0700
Source: ffmpeg
Source-Version: 0.cvs20060823-4

We believe that the bug you reported is fixed in the latest version of
ffmpeg, which is due to be installed in the Debian FTP archive:

ffmpeg_0.cvs20060823-4.diff.gz
  to pool/main/f/ffmpeg/ffmpeg_0.cvs20060823-4.diff.gz
ffmpeg_0.cvs20060823-4.dsc
  to pool/main/f/ffmpeg/ffmpeg_0.cvs20060823-4.dsc
ffmpeg_0.cvs20060823-4_i386.deb
  to pool/main/f/ffmpeg/ffmpeg_0.cvs20060823-4_i386.deb
libavcodec-dev_0.cvs20060823-4_i386.deb
  to pool/main/f/ffmpeg/libavcodec-dev_0.cvs20060823-4_i386.deb
libavcodec0d_0.cvs20060823-4_i386.deb
  to pool/main/f/ffmpeg/libavcodec0d_0.cvs20060823-4_i386.deb
libavformat-dev_0.cvs20060823-4_i386.deb
  to pool/main/f/ffmpeg/libavformat-dev_0.cvs20060823-4_i386.deb
libavformat0d_0.cvs20060823-4_i386.deb
  to pool/main/f/ffmpeg/libavformat0d_0.cvs20060823-4_i386.deb
libpostproc-dev_0.cvs20060823-4_i386.deb
  to pool/main/f/ffmpeg/libpostproc-dev_0.cvs20060823-4_i386.deb
libpostproc0d_0.cvs20060823-4_i386.deb
  to pool/main/f/ffmpeg/libpostproc0d_0.cvs20060823-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 386458@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sam Hocevar (Debian packages) <sam+deb@zoy.org> (supplier of updated ffmpeg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 24 Sep 2006 23:38:29 +0200
Source: ffmpeg
Binary: libavformat-dev libavformat0d ffmpeg libavcodec-dev libpostproc0d libpostproc-dev libavcodec0d
Architecture: source i386
Version: 0.cvs20060823-4
Distribution: unstable
Urgency: high
Maintainer: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Changed-By: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Description: 
 ffmpeg     - multimedia player, server and encoder
 libavcodec-dev - development files for libavcodec
 libavcodec0d - ffmpeg codec library
 libavformat-dev - development files for libavformat
 libavformat0d - ffmpeg file format library
 libpostproc-dev - development files for libpostproc
 libpostproc0d - ffmpeg video postprocessing library
Closes: 386458
Changes: 
 ffmpeg (0.cvs20060823-4) unstable; urgency=high
 .
   * Maintainer upload.
   * Acknowledging NMU (Closes: #386458).
 .
   * High urgency because of FTBFS fix.
 .
   * debian/patches/030_arm_workaround.diff:
     + New patch courtesy of Aurélien Jarno: disable the broken ARM assembly
       code in libavcodec/mpegaudiodec.c.
 .
   * debian/patches/030_arm_cpu_detect.diff:
     + New patch courtesy of Aurélien Jarno: correctly detect the newer ARM
       CPUs.
Files: 
 cb62c937bc6259986c24f1dc7d4f8799 986 libs optional ffmpeg_0.cvs20060823-4.dsc
 4e7e7ae3491978b99ca7121a6725eabc 16673 libs optional ffmpeg_0.cvs20060823-4.diff.gz
 6c98157cc3ac16e3f4e3cec046e4acb0 181030 graphics optional ffmpeg_0.cvs20060823-4_i386.deb
 2cb72339ec383735a98a442a4d7b21d6 1526028 libs optional libavcodec0d_0.cvs20060823-4_i386.deb
 dc0a787195b30ab9dabf846ff7ff6442 35700 libs optional libpostproc0d_0.cvs20060823-4_i386.deb
 011b30c504b610e6cdf1cc022e728038 284030 libs optional libavformat0d_0.cvs20060823-4_i386.deb
 27bbb959261cd99b094a01da7e9ea56f 1582650 libdevel optional libavcodec-dev_0.cvs20060823-4_i386.deb
 8fa80215ddf04737af006ae792fb6114 35728 libdevel optional libpostproc-dev_0.cvs20060823-4_i386.deb
 57cb371e768318517401964564e20655 327498 libdevel optional libavformat-dev_0.cvs20060823-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFF7ekfPP1rylJn2ERAhqRAJ4t2PPrPzTeEx9sBJTz0UfmccDkHQCglgcl
bKiFSVxez3W3folb0tgjvUE=
=Yu5H
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 01:35:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 05:02:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.